6.0.0-git
2019-05-19

[#11840] Smartphone view and Kolab backend: Can't edit tasks in non-default share
Summary Smartphone view and Kolab backend: Can't edit tasks in non-default share
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-12-09 (2352 days ago)
Due
Updated 2012-12-10 (2351 days ago)
Assigned
Resolved 2012-12-10 (2351 days ago)
Milestone
Patch No

History
2012-12-10 19:35:18 Thomas Jarosch Comment #3 Reply to this comment
Thanks, fix is working!

2012-12-10 17:16:21 Jan Schneider State ⇒ Resolved
 
2012-12-10 17:14:57 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit ea585e2f991a5d6fc31b39e2af914e27c041a74c
Author: Jan Schneider <jan@horde.org>
Date:   Mon Dec 10 18:14:42 2012 +0100

     [jan] Fix editing tasks from the merged list view in smartmobile 
mode (Bug #11840).

  nag/docs/CHANGES      |    2 ++
  nag/js/smartmobile.js |    1 -
  nag/package.xml       |    2 ++
  3 files changed, 4 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/ea585e2f991a5d6fc31b39e2af914e27c041a74c
2012-12-09 19:52:06 Thomas Jarosch Assigned to Jan Schneider
 
2012-12-09 19:51:43 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Smartphone view and Kolab backend: Can't edit tasks in non-default share
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I have two task shares in my Kolab backend: "Tasks" and "Private tasks".

When entering nag via the smartphone view, one is presented a merged 
list of tasks from all shares.

I can't edit tasks from the non-default task share. Upon save there's 
a red error popup "Not found".

Tasks in the default share can be edited fine (tested by changing the 
default share in the prefs).
Also editing tasks in non-default task lists works fine when opening 
the share explicitly.
Only the merged view seems to be affected.

Cheers,
Thomas

Saved Queries